SDL_GPUColorComponentFlags(3type)

NAME
SDL_GPUColorComponentFlags - Specifies which color components are written in a graphics pipeline.

SYNOPSIS
#include <SDL3/SDL_gpu.h>

typedef Uint8 SDL_GPUColorComponentFlags;

#define SDL_GPU_COLORCOMPONENT_R (1u << 0) /**< the red component */
#define SDL_GPU_COLORCOMPONENT_G (1u << 1) /**< the green component */
#define SDL_GPU_COLORCOMPONENT_B (1u << 2) /**< the blue component */
#define SDL_GPU_COLORCOMPONENT_A (1u << 3) /**< the alpha component */

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_CreateGPUGraphicsPipeline(3)